# [Display Posts](https://displayposts.com) #

![Plugin Version](https://img.shields.io/wordpress/plugin/v/display-posts-shortcode.svg?style=flat-square) ![Total Downloads](https://img.shields.io/wordpress/plugin/dt/display-posts-shortcode.svg?style=flat-square) ![Plugin Rating](https://img.shields.io/wordpress/plugin/r/display-posts-shortcode.svg?style=flat-square) ![WordPress Compatibility](https://img.shields.io/wordpress/v/display-posts-shortcode.svg?style=flat-square) ![License](https://img.shields.io/badge/license-GPL--2.0%2B-red.svg?style=flat-square)

**Contributors:** billerickson, cultivatewp   
**Tags:** shortcode, pages, posts, page, query, display, list  
**Requires at least:** 3.0  
**Tested up to:** 6.3  
**Stable tag:** 3.0.2  
**License:** GPLv2 or later  
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html

## Description

Display Posts is the simplest way to query and display content in WordPress.

Add the `[display-posts]` shortcode in a post or page. Use the [query parameters](https://displayposts.com/docs/#query-parameters) to filter the results by tag, category, post type, and more.

You can customize the output using the [display parameters](https://displayposts.com/docs/#display-parameters), or use a [template part](https://displayposts.com/2019/01/04/use-template-parts-to-match-your-themes-styling/) to match your theme exactly.

Developers can take it even further using the [available filters](https://displayposts.com/docs/filters/).

See [these tutorials](https://displayposts.com/tutorials/) for many examples of customization options.

### Documentation
* [Parameters](https://displayposts.com/docs/parameters/)
* [Filters](https://displayposts.com/docs/filters/)
* [The Output Filter](https://displayposts.com/docs/the-output-filter/)
* [Template Parts](https://displayposts.com/2019/01/04/use-template-parts-to-match-your-themes-styling/)

### Extensions
* [Display Posts – Pagination](https://github.com/billerickson/Display-Posts-Pagination) – Allow results of Display Posts to be paginated
* [Display Posts – Date View](https://wordpress.org/plugins/display-posts-date-view/) – Lets you break your content down by month or year.
* [Display Posts – Alpha View](https://github.com/billerickson/Display-Posts-Alpha-View) – Display an alphabetical listing of your content, broken down by letter
* [Display Posts – Transient Cache](https://github.com/billerickson/Display-Posts-Transient-Cache) – Cache the output using transients
* [Co-Authors Plus Addon](https://github.com/billerickson/dps-coauthor-addon) – multiple authors on posts
* [Columns Extension](https://github.com/billerickson/dps-columns-extension) – display posts in columns
* [DPS Exclude Sticky](https://github.com/billerickson/DPS-Exclude-Sticky) – exclude sticky posts unless specifically requested
* [DPS Pinch Zoomer](https://github.com/shazahm1/Display-Posts-Shortcode-Pinch-Zoomer) – adds support pinch zooming post images on mobile devices and mouse wheel zooming on desktops
* [Display Posts Shortcode Remote](https://github.com/shazahm1/Display-Posts-Shortcode-Remote) – display posts from a remote WordPress site utilizing the WP REST API.
